AHC_DEV_05/AHC_DEV_05/Controllers/User/MainController.cs
using AHCBL.Component.Common;
using AHCBL.Dao;
using AHCBL.Dao.Admin;
using AHCBL.Dao.User;
using PagedList;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Globalization;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AHC_MLK.Controllers.User
{
    public class MainController : Controller
    {
        Permission checkuser = new Permission();
        // GET: main
        public ActionResult Index()
        {
            checkuser.chkrights("user");
            ViewBag.amount = GetDataDao.Instance.GetPointAmount(Varible.User.member_id);
            var pm = GetDataDao.Instance.GetProductMember();
            ViewBag.PM = pm;

            int rows = Util.NVLInt(ConfigurationManager.AppSettings["rows"]);
            var data = OrderDao.Instance.GetOrderHis();
            var order = OrderDao.Instance.GetProductOrder(0, "");
            ViewBag.his_tb = data;
            ViewBag.cnt = data.Count();

            var interests = InterestDao.Instance.GetDataInterest().Find(smodel => smodel.id == Util.NVLString(Varible.User.member_id));
            ViewBag.interests = interests == null ? "0" : interests.interest.ToString();

            var model = MemberListDao.Instance.GetDataList().Find(smodel => smodel.id == Varible.User.member_id);
            decimal point = (GetDataDao.Instance.GetPointAmount(Varible.User.member_id) - Util.NVLInt(Varible.Config.register_point));
            ViewBag.amountCW = point.ToString("0,0", CultureInfo.InvariantCulture) + " Point  (￦ " + (point * Util.NVLDecimal(Varible.Config.jewel_price)).ToString("0,0", CultureInfo.InvariantCulture) + ")";
            ViewBag.point = GetDataDao.Instance.GetPointAmount(Varible.User.member_id);


            //var dataNotice = NoticeDao.Instance.GetDataQA();
            //ViewBag.dataNotice = dataNotice;
            //ViewBag.cntNotice = dataNotice.Count();
            int? page = null;
            var dataNotice = ContentListDao.Instance.GetDataList();
            ViewBag.dataNotice = dataNotice.ToList().ToPagedList(page ?? 1, Util.NVLInt(ConfigurationManager.AppSettings["rows"]));
            ViewBag.cntNotice = dataNotice.Count();
            return View(order);

            
        }
    }
}

AHC_DEV_05/AHC_DEV_05/Views/Shared/_Layout_Error.cshtml
<!DOCTYPE html>
<html>
<head>
    @*<meta charset="utf-8" />*@
    <meta http-equiv=Content-Type content="text/html; charset=tis-620">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - 장미나라</title>
    <link rel="icon" href="/vendor/images/logo.ico" type="image/x-icon" sizes="16x16">
    @Styles.Render("~/Content/css")
</head>
<body class="xp-vertical">

    <div class="xp-authenticate-bg"></div>
    <!-- Start XP Container -->
    <div id="xp-container" class="xp-container">
        @RenderBody()
    </div>
    <!-- End XP Container -->
</body>
</html>

AHC_DEV_05/AHC_DEV_05/Views/Shared/_Layout_Main.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>신축년 대박기원</title>
    <link rel="icon" href="../../common/image/logo.ico" type="image/gif" sizes="16x16">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link href="//netdna.bootstrapcdn.com/twitter-bootstrap/2.3.2/css/bootstrap-combined.no-icons.min.css" rel="stylesheet">
    <link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">

    @Styles.Render("~/common/css/pages/style.css")
    @Styles.Render("~/common/css/main.css")
    @Styles.Render("~/common/css/snowfall.css")
    @Scripts.Render("~/common/script/jquery-3.4.1.min.js")
</head>
<body style="background-image: url('../../common/image/bg-page.png'); background-size: cover;background-position: center; background-repeat: repeat-y;">
    <div id="wrap">
        <div class="container">
            <div style="justify-content:flex-end; width:100%; display:flex; align-items:baseline;">
                <span>
                    <span style="font-weight:bold;color:#f3e8a9; margin-right:5px;">@Session["username"]</span>
                </span>
                <a href="~/Login/LogOut">
                    <img style="width:40px;" src="~/common/image/logout.png" />
                </a>
            </div>
            <div class="dash-bonus" style="margin-bottom:0">
                <div class="gnp">
                    <a class="gnp-sub" href="@Url.Action("","Main")"><span>홈</span></a>
                </div>
                <div class="">
                    <a class="gnp-sub" href="">
                        <img src="~/common/image/logo.png" style="width:200px;" />
                    </a>
                </div>
                <div class="gnp">
                    <a class="copy">
                        <span style="font-weight:bold; cursor:pointer;">추천링크</span>
                    </a>
                </div>

            </div>


            @RenderBody()
        </div>
    </div>

    <input type="text" value="@Session["url"]" class="urlJoin" style="position:absolute;left:-1000px;top:-1000px;" />

    <script type="text/javascript">
        document.querySelector(".copy").addEventListener("click", copyText);
        function copyText() {
            var copyText = document.querySelector(".urlJoin");
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            document.execCommand("copy");
            alert("복사 된 텍스트 : " + copyText.value);
        }
    </script>

    @Scripts.Render("~/common/script/Chart.min.js")
    @Scripts.Render("~/common/script/all.js")
    @Scripts.Render("~/common/script/jquery.custom.extend.js")
    @Scripts.Render("~/common/script/commonutil.js")
    @Scripts.Render("~/common/script/jquery.cookie.js")
    @Scripts.Render("~/common/script/clipboard.min.js")
    @RenderSection("scripts", required: false)
</body>
</html>

AHC_DEV_05/AHC_DEV_05/Views/Shared/_Layout_Main_Matching.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>MyOffice</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    @Styles.Render("~/common/css/pages/style.css")
    @Styles.Render("~/common/css/main.css")
    @Scripts.Render("~/common/script/jquery-3.4.1.min.js")
</head>
<body style="background-image: url('../../common/image/bg-page.png');background-size: cover;">
    <div>
        <div class="container">

            @RenderBody()
        </div>
    </div>
    @RenderSection("scripts", required: false)
</body>
</html>

AHC_DEV_05/AHC_DEV_05/Views/Shared/_Layout_Product.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>신축년 대박기원</title>
    <link rel="icon" href="../../common/image/logo.ico" type="image/gif" sizes="16x16">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

    <!-- Alert Modal -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    @Styles.Render("~/common/css/pages/style.css")
    @Styles.Render("~/common/css/main.css")
    @Styles.Render("~/common/css/reset-1.css")
    @Scripts.Render("~/common/script/jquery-3.4.1.min.js")
</head>
<body style="background-image: url('../../common/image/bg-page.png'); background-size: cover;background-position: center; background-repeat: repeat-y;">
    <div style="display:flex; justify-content:center; align-items:center; width:100%;">
        <div class="main-top" data-aos="fade-in" data-aos-duration="2000">
            <a href="@Url.Action("","Main")">
                <img src="~/common/image/back.png" style="width:40px;" />
            </a>
            <span>&nbsp;&nbsp;</span>
        </div>
    </div>
    <div class="topWrap">

        @RenderBody()

    </div>
    @Scripts.Render("~/common/script/Chart.min.js")
    @Scripts.Render("~/common/script/all.js")
    @Scripts.Render("~/common/script/jquery.custom.extend.js")
    @Scripts.Render("~/common/script/commonutil.js")
    @Scripts.Render("~/common/script/jquery.cookie.js")
    @Scripts.Render("~/common/script/clipboard.min.js")
    @RenderSection("scripts", required: false)
</body>
</html>

AHC_DEV_05/AHC_DEV_05/Views/Shared/_Layout_chart.cshtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MyOffice</title>

    <script src="~/vendor/chart/js/jquery.min.js"></script>
        <script src="~/vendor/chart/js/loader.js"></script>
    <style type="text/css">
        body {
            font-family: Arial;
            font-size: 10pt;
        }

        #chart {
            width: 900px;
            height: 500px;
        }

        #chart div {
            width: 100px;
        }

        #chart img {
            height: 90px;
            width: 90px;
        }
        .drop-level{
            padding: 7px;
            border-radius: 5px;
            border: none;
            color: #000;
            background: #f7da04;
        }
    </style>
</head>
<body style="background-image: url('../../common/image/bg-page.png');background-size: cover;margin: 0;">
    <header style="position: relative; top: 0; width: 100%; background: #0e0e0e; padding: 0px; margin: 0px; height:40px;">
    </header>
    @RenderBody()


</body>
</html>

AHC_DEV_05/AHC_DEV_05/Views/Shared/_Layout_login.cshtml
<!DOCTYPE html>
<html lang=ko>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!--#include file="../common/header.asp"-->
    <title>신축년 대박기원</title>
    <link rel="icon" href="../../common/image/logo.ico" type="image/gif" sizes="16x16">


    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
    @Styles.Render("~/common/css/reset.min.css")
    @Styles.Render("~/common/css/pages/login.css")
    @Styles.Render("~/common/css/snowfall.css")

    <link rel="stylesheet" href="/common/css/pages/login.css?ver1">
    <script src='https://kit.fontawesome.com/a076d05399.js'></script>
</head>
<body>
    <div id="wrap" style="background-image:url('../../common/image/bg-login.png');">
        <div id="container">
            @RenderBody()
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    @RenderSection("scripts", required: false)
</body>
</html>

AHC_DEV_05/AHC_DEV_05/Views/Shared/_Layout_none.cshtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MyOffice</title>
    <style type="text/css">
        body {
            font-family: Arial;
            font-size: 10pt;
        }

        #chart {
            width: 900px;
            height: 500px;
        }

            #chart div {
                width: 100px;
            }

            #chart img {
                height: 90px;
                width: 90px;
            }
    </style>
</head>
<body>
    @RenderBody()
</body>
</html>

AHC_DEV_05/AHC_DEV_05/Views/Shared/_Layout_regis.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>신축년 대박기원</title>
    <link rel="icon" href="../../common/image/logo.ico" type="image/gif" sizes="16x16">
    @Styles.Render("~/common/css/reset.min.css")
    @Styles.Render("~/common/css/pages/gnb.css")
    @Styles.Render("~/common/css/pages/footer.css")
    @Styles.Render("~/common/css/main.css")

    @Styles.Render("~/common/css/reset-1.css")
    @Styles.Render("~/common/css/pages/style.css")

    @Scripts.Render("~/common/script/jquery-3.4.1.min.js")
    @Scripts.Render("~/common/script/jquery.custom.extend.js")
    @Scripts.Render("~/common/script/commonutil.js")
    @Scripts.Render("~/common/script/jquery.cookie.js")
    @Scripts.Render("~/common/script/clipboard.min.js")
</head>
<Body>
    <div id="wrap" style="background-image: url('../../common/image/bg-login.png');background-size: cover;background-position: center;width:auto; height:auto;">

        @RenderBody()
    </div>
    <!-- End of Main Content -->
    <!--JS Main-->
    @Scripts.Render("~/common/script/Chart.min.js")
    @Scripts.Render("~/common/script/all.js")
    @Scripts.Render("~/common/script/jquery.custom.extend.js")
    @Scripts.Render("~/common/script/commonutil.js")
    @Scripts.Render("~/common/script/jquery.cookie.js")
    @Scripts.Render("~/common/script/clipboard.min.js")
    @RenderSection("scripts", required: false)
</Body>
</html>